<sw-page>

    <template #smart-bar-header>
        <h2 v-html="headerTitle" />
    </template>

    <template #smart-bar-actions>
        <sw-button-process
            variant="primary"
            :process-success="isSaved"
            @click.prevent="save"
        >
            {{ $tc('fyrstOrderStates.action.save') }}
        </sw-button-process>
    </template>

    <template #language-switch>
        <sw-language-switch 
            :disabled="isNew"
            @on-change="changeLanguage" />
    </template>

    <template #content>
    
        <sw-card-view>

            <sw-card
                position-identifier="placeholder"
                v-if="activeStateMachineState">

                <sw-container
                    columns="repeat(2, minmax(0, 1fr))"
                    gap="0 24px">

                    <sw-text-field
                        :label="$tc('fyrstOrderStates.labels.name')"
                        required
                        :placeholder="placeholder(activeStateMachineState, 'name', '')"
                        v-model="activeStateMachineState.name"
                        />

                    <sw-text-field
                        :label="$tc('fyrstOrderStates.labels.technicalName')"
                        :disabled="isNew !== true"
                        required
                        v-model="activeStateMachineState.technicalName"
                        />

                    <sw-entity-single-select
                        :label="$tc('fyrstOrderStates.labels.stateGroup')"
                        entity="state_machine"
                        :disabled="isNew !== true"
                        required
                        v-model="activeStateMachineState.stateMachineId"
                        />
                </sw-container>
            </sw-card>
        </sw-card-view>
    </template>
</sw-page>